Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Class PdfDocument.Indentation

    java.lang.Object
      com.lowagie.text.pdf.PdfDocument.Indentation

Enclosing class:
  PdfDocument

    public static class PdfDocument.Indentation

extends Object

Field Summary
`private float` | `imageIndentLeft` This is the indentation caused by an image on the left.
`private float` | `imageIndentRight` This is the indentation caused by an image on the right.
`private float` | `indentBottom` This represents the current indentation of the PDF Elements on the bottom side.
`private float` | `indentLeft` This represents the current indentation of the PDF Elements on the left side.
`private float` | `indentRight` This represents the current indentation of the PDF Elements on the right side.
`private float` | `indentTop` This represents the current indentation of the PDF Elements on the top side.
`private float` | `listIndentLeft` This represents the current indentation of the PDF Elements on the left side.
`private float` | `sectionIndentLeft` Indentation to the left caused by a section.
`private float` | `sectionIndentRight` Indentation to the right caused by a section.

Constructor Summary
`PdfDocument.Indentation()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### indentLeft

    private float indentLeft

  This represents the current indentation of the PDF Elements on the left side.

### sectionIndentLeft

    private float sectionIndentLeft

  Indentation to the left caused by a section.

### listIndentLeft

    private float listIndentLeft

  This represents the current indentation of the PDF Elements on the left side.

### imageIndentLeft

    private float imageIndentLeft

  This is the indentation caused by an image on the left.

### indentRight

    private float indentRight

  This represents the current indentation of the PDF Elements on the right side.

### sectionIndentRight

    private float sectionIndentRight

  Indentation to the right caused by a section.

### imageIndentRight

    private float imageIndentRight

  This is the indentation caused by an image on the right.

### indentTop

    private float indentTop

  This represents the current indentation of the PDF Elements on the top side.

### indentBottom

    private float indentBottom

  This represents the current indentation of the PDF Elements on the bottom side.

Constructor Detail

### PdfDocument.Indentation

    public PdfDocument.Indentation()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD